/// <reference types="draft-js" />
import 'draft-js/dist/Draft.css';
import React from "react";
import './aie.css';
import { AieStyleMap } from "./functions/aieInterface";
/** Interface for the AsupInternalEditor component */
interface AsupInternalEditorProps {
    value: string;
    setValue?: (ret: string) => void;
    style?: React.CSSProperties;
    styleMap?: AieStyleMap;
    textAlignment?: Draft.DraftComponent.Base.DraftTextAlignment | "decimal";
    decimalAlignPercent?: number;
    showStyleButtons?: boolean;
    editable?: boolean;
}
export declare const AsupInternalEditor: ({ value, setValue, style, styleMap, textAlignment, showStyleButtons, editable, decimalAlignPercent, }: AsupInternalEditorProps) => JSX.Element;
export {};
