/// <reference types="react" />
import { AieStyleMap } from "./functions";
interface iEditorV2 {
    text: string;
    setText?: (ret: string) => void;
    customStyleMap?: AieStyleMap;
    allowNewLine?: boolean;
    textAlignment?: "left" | "center" | "decimal" | "right";
    decimalAlignPercent?: number;
}
export declare const EditorV2: ({ text, setText, customStyleMap, allowNewLine, textAlignment, decimalAlignPercent, }: iEditorV2) => JSX.Element;
export {};
