/// <reference types="react" />
import { AioReplacement } from '../aio';
import { AitCellData, AitLocation, AitRowData } from "./aitInterface";
interface AitRowProps {
    aitid: string;
    cells: AitCellData[];
    setRowData?: (ret: AitRowData) => void;
    location: AitLocation;
    replacements?: AioReplacement[];
    setReplacements?: (ret: AioReplacement[], location: AitLocation) => void;
    rowGroupWindowTitle?: string;
    addRowGroup?: (rgi: number, templateName?: string) => void;
    removeRowGroup?: (rgi: number) => void;
    rowGroupComments: string;
    updateRowGroupComments: (ret: string) => void;
    addRow?: (ri: number) => void;
    removeRow?: (ri: number) => void;
    spaceAfter?: boolean;
    addColSpan?: (loc: AitLocation) => void;
    removeColSpan?: (loc: AitLocation) => void;
    addRowSpan?: (loc: AitLocation) => void;
    removeRowSpan?: (loc: AitLocation) => void;
    rowGroupSpace?: boolean;
    setRowGroupSpace?: (ret: boolean) => void;
}
export declare const AitRow: ({ aitid, cells, setRowData, location, replacements, setReplacements, rowGroupWindowTitle, addRowGroup, removeRowGroup, rowGroupComments, updateRowGroupComments, addRow, removeRow, spaceAfter, addColSpan, removeColSpan, addRowSpan, removeRowSpan, rowGroupSpace, setRowGroupSpace, }: AitRowProps) => JSX.Element;
export {};
