import { DraftStyleMap, RawDraftContentState } from "draft-js";
/**
 * Aggregate function to change editor contents into HTML string
 * @param d Raw Draft-js block
 * @param dsm Style map that has been applied
 * @returns URI encoded HTML string of the content
 */
export declare const saveToHTML: (d: RawDraftContentState, dsm: DraftStyleMap) => string;
