import React from "react";
import { AieStyleMap } from "../aie";
import { AioExternalSingle } from "../aio";
import "./aif.css";
import { AifBlockLine } from "./aifInterface";
interface AifLineDisplayProps {
    aifid?: string;
    left?: string | false;
    centre?: string | false;
    right?: string | false;
    externalSingles?: AioExternalSingle[];
    addBelow?: boolean;
    canEdit?: boolean;
    canRemove?: boolean;
    canMove?: boolean;
    setLine?: (ret: AifBlockLine) => void;
    addLine?: () => void;
    removeLine?: () => void;
    style?: React.CSSProperties;
    styleMap?: AieStyleMap;
}
export declare const AifLineDisplay: ({ aifid, left, centre, right, externalSingles, addBelow, canEdit, canRemove, canMove, setLine, addLine, removeLine, style, styleMap, }: AifLineDisplayProps) => JSX.Element;
export {};
